Skip to main content

Report agent file inventory

POST
/agents/report

Contract

Parameter
Value
Sectionagents
AuthenticationAgentAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectAgent file inventory
  • {
      "files": [
        {
          "id": 0,
          "sha256": "<string>",
          "storage": "<string>"
        }
      ],
      "hostname": "<string>",
      "requestedFiles": [
        0
      ]
    }

Responses

3 responses

Status
Description
Type
200
Successful responseobject
400
Agent secret is missing or the request body is invalidobject
500
Internal server errorobject
  • {
      "missingFiles": [
        {
          "category": "<string>",
          "id": 0,
          "sha256": "<string>",
          "size": 0
        }
      ],
      "missingSize": 0,
      "obsoleteFiles": [
        0
      ]
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }